<template>
  <div class="header-block">
    <v-container class="pa-0">
      <v-row dense no-gutters align="center">
        <v-col cols="3">
          <img src="@/assets/logo.svg" />
        </v-col>

        <v-col cols="auto" class="navigation-wraper">
          <div class="header-navigation">
            <router-link :to="{ name: 'vacancy.list' }" class="menu-item">
              <v-icon color="white">mdi-briefcase-variant</v-icon>
              Вакансии
            </router-link>
            <router-link :to="{ name: 'cv.list' }" class="menu-item">
              <v-icon color="white">mdi-account</v-icon>
              Резюме</router-link
            >
            <router-link :to="{ name: 'message.list' }" class="menu-item">
              <v-icon color="white">mdi-android-messages</v-icon
              >Сообщения</router-link
            >
          </div>
        </v-col>
        <v-spacer />
        <v-col cols="auto">
          <v-row align="center">
            <v-col cols="auto" class="text-right white--text">
              Иван<br />Иванов
            </v-col>
            <avatar> <img src="https://i.pravatar.cc/128?img=5"/></avatar>
          </v-row>
        </v-col>
      </v-row>
    </v-container>
    <div class="round-end"></div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import Avatar from "@/components/ui/Avatart.vue";

@Component({
  components: {
    Avatar,
  },
})
export default class TopHeader extends Vue {}
</script>

<style lang="scss">
.header-block {
  background: linear-gradient(78.05deg, #5960ea 31.76%, #0158b7 65.86%);
  .round-end {
    background: #ffffff;
    border-radius: 32px 32px 0px 0px;
    height: 32px;
  }
  .navigation-wraper {
    height: 100%;
  }
  .header-navigation {
    height: 100%;
    .menu-item {
      color: white;
      text-decoration: none;
      height: 100%;
      display: inline-block;
      padding: 28px 10px 0px;
      margin: 0px 20px;
      &.router-link-active {
        border-bottom: 4px solid white;
      }
    }
  }
  .row {
    height: 81px;
  }
}
</style>
